export default class PrismRPGContainer extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    const requiredInteger = { required: true, nullable: false, integer: true }
    const schema = {}

    schema.description = new fields.HTMLField({ required: true, textSearch: true })
    schema.packBurden = new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 })
    schema.encLoad = new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 })
    schema.cost = new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 })
    schema.equipped = new fields.BooleanField({ required: true, initial: false })
    schema.notes = new fields.HTMLField({ required: true })

    return schema
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["PRISMRPG.Container"]
}
